<< var | FOSSEE_Signal_Processing_Toolbox | wconv >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > vco

# vco

Voltage Controlled Oscillator

### Syntax

    y=vco(x,fc,fs)
    y=vco(x,[fmin fmax],fs)

### Parameters

x :

  A vector or a matrix

fc :

  Carrier frequency

fmin :

  Minimum frequency of the frequency range

fmax :

  Maximum frequency of the frequency range

### Description

y=vco(x,fc,fs) Creates a frequency modulated cosine wave y whose frequency varies as the magnitude of x x lies in [-1,1]. x=-1 corresponds to a frequency of 0, x=0 corresponds to a frequency of fc and x=1 corresponds to a frequency of 2fc. y=vco(x,[fmin fmax],fs) Scales the frequency range so that x=-1 corresponds to a frequency of fmin and x=1 corresponds to a frequency of fmax If x is a matrix the same operation is performed on the columns on x Size of y is the same as the size of x

### Examples

    x=rand()
    y=vco(x,2000,8000)

### Authors

- Ankur Mallick

Report an issue
<< var | FOSSEE_Signal_Processing_Toolbox | wconv >>